Subject: RE: draft-ietf-pkix-rfc2511bis-00

From: "Jacoby, Jeffrey" <[email-masked]>
Date: Fri, 1 Dec 2000 14:02:35 -0800

Carlisle, Ari,
 
  Thanks guys.  
 
  Clears up it up very nicely for me! [ I'm still getting used to RFC-speak
:-) ]
 
Jeff

-----Original Message-----
From: Carlisle Adams [mailto:[email-masked]]
Sent: Friday, December 01, 2000 12:38 PM
To: Jacoby, Jeffrey; 'Ari Kermaier'
Cc: [email-masked]
Subject: RE: draft-ietf-pkix-rfc2511bis-00

Hi Ari, 

	---------- 
From:   Ari Kermaier[SMTP:[email-masked]] 
Sent:   Friday, December 01, 2000 2:35 PM 
To:     Jacoby, Jeffrey; [email-masked] 
Subject:        RE: draft-ietf-pkix-rfc2511bis-00 

	Jeff, 

	I understood this to mean that the PasswordBaseMac algorithm defined
here 
(and its attendant PMBParameter) can be be used in general to support any 
appropriate OWF and/or MAC algorithm, but SHA-1 and HMAC-SHA1 are mandated 
for use within CMP/CRMF. 

	But that's just my opinion, I could be wrong. :-) 

It's a great opinion, and you could be right...  :-) 

Yes, this is what was intended.  Again, remember that "mandatory" in the
IETF sense simply means "must be supported for compliance and guaranteed
interoperability purposes".  You are never prohibited from supporting other
things as well and, in fact, using those other choices as your default
operational algorithms.

Carlisle. 

	Ari 

	>Hi, 
> 
>Another thing that would be nice to clear up in 
>draft-ietf-pkix-rfc2511bis-00.txt 
>is the comments on PBMParameter.  In section 4.4.1 (and also in Appendix C)

>is 
>this: 
> 
>PBMParameter ::= SEQUENCE { 
>   salt                OCTET STRING, 
>   owf                 AlgorithmIdentifier, 
>   -- AlgId for a One-Way Function (SHA-1 recommended) 
>   iterationCount      INTEGER, 
>   -- number of times the OWF is applied 
>   mac                 AlgorithmIdentifier 
>   -- the MAC AlgId (e.g., DES-MAC, Triple-DES-MAC [PKCS11], 
>} -- or HMAC [RFC2104, RFC2202]) 
> 
>However, at the end of that very section, is this statement: 
> 
>   The AlgorithmIdentifier for owf SHALL be SHA-1 {1 3 14 3 2 26} and 
>   for mac SHALL be HMAC-SHA1 {1 3 6 1 5 5 8 1 2}. 
> 
>So why, in the comments, is SHA-1 "recommended", and numerous examples are 
>given for mac? 
> 
>Jeff 
> 
>-------------------------------------------------------------------------- 
> 
> 
>Jeff Jacoby         phone: (650) 295-7569 
>Sr. Developer       email: [email-masked] 
>< mailto:[email-masked] <mailto:[email-masked]> > 
> 
>RSA Security, SMDC 
>2755 Campus Drive, Suite 300 
>San Mateo, CA 94403 
> 
> 
> 
> 
> 
> 
> 
>-----Original Message----- 
>From: Carlisle Adams [ mailto:[email-masked]
<mailto:[email-masked]>  
>< mailto:[email-masked] <mailto:[email-masked]> > ]

>Sent: Thursday, November 30, 2000 12:51 PM 
>To: 'Ari Kermaier' 
>Cc: [email-masked] < mailto:[email-masked] <mailto:[email-masked]>
> 
>Subject: RE: draft-ietf-pkix-rfc2511bis-00 
> 
> 
> 
>Hi Ari, 
> 
>RFC 2511 (and therefore rfc2511bis-00.txt) has the definitive syntax (the 
>section in 2510 discusses semantic interpretation).  Therefore,
publicKeyMAC 
>is untagged.  I will try to remember to remove the tag from rfc2510bis as
it 
>progresses. 
> 
>Thanks for noticing this! 
> 
>Carlisle. 
> 
> 
>         ---------- 
>From:   Ari Kermaier[SMTP:[email-masked]] 
>Sent:   Thursday, November 30, 2000 2:20 PM 
>To:     [email-masked] 
>Subject:        RE: draft-ietf-pkix-rfc2511bis-00 
> 
>         A question of ASN.1 in CRMF: 
> 
>         draft-ietf-pkix-rfc2511bis-00 Section 4.4 has: 
> 
>             POPOSigningKeyInput ::= SEQUENCE { 
>         authInfo            CHOICE { 
>             sender              [0] GeneralName, 
>             -- used only if an authenticated identity has been 
>             -- established for the sender (e.g., a DN from a 
>             -- previously-issued and currently-valid certificate) 
>             publicKeyMAC        PKMACValue }, 
>             -- used if no authenticated GeneralName currently exists for 
>             -- the sender; publicKeyMAC contains a password-based MAC 
>             -- on the DER-encoded value of publicKey 
>         publicKey           SubjectPublicKeyInfo }  -- from CertTemplate 
> 
>         draft-ietf-pkix-rfc2510bis-01 Section 3.2.8 has: 
> 
>               POPOSigningKeyInput ::= SEQUENCE { 
>           authInfo            CHOICE { 
>               sender              [0] GeneralName, 
>               -- from PKIHeader (used only if an authenticated identity 
>               -- has been established for the sender (e.g., a DN from a 
>               -- previously-issued and currently-valid certificate)) 
>               publicKeyMAC        [1] PKMACValue 
>               -- used if no authenticated GeneralName currently exists for

>               -- the sender; publicKeyMAC contains a password-based MAC 
>               -- (using the protectionAlg AlgId from PKIHeader) on the 
>               -- DER-encoded value of publicKey 
>           }, 
>           publicKey           SubjectPublicKeyInfo    -- from CertTemplate

>       } 
> 
>         So -- is the publicKeyMAC choice tagged or not? 
> 
>         Ari Kermaier